Summary: automatic configure script builder
Name: hhl-target-autoconf
Version: 2.13
Release: %{_hhl_build_id}.1
Source: autoconf_%{version}.orig.tar.gz
Source1 : autoconf.tmpl
Source2 : autoconf-doc.tmpl
Patch0: autoconf_%{version}-25.diff.gz
License: GPL
Group: devel
Buildroot: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix: %{_hhl_cross_target_dir}
Requires: hhl-%{_hhl_target_arch}-hardhatutils
%define _docdir	%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}

%description
The standard for FSF source packages.  This is only useful if you
write your own programs or if you extensively modify other people's 
programs.

%package -n hhl-%{_hhl_target_arch}-autoconf
Summary: automatic configure script builder
Group: devel
AutoReqProv: no
%description -n hhl-%{_hhl_target_arch}-autoconf
The standard for FSF source packages.  This is only useful if you
write your own programs or if you extensively modify other people's 
programs.

%package -n hhl-%{_hhl_target_arch}-autoconf-doc
Summary: automatic configure script builder
Group: devel
AutoReqProv: no
%description -n hhl-%{_hhl_target_arch}-autoconf-doc
The standard for FSF source packages.  This is only useful if you
write your own programs or if you extensively modify other people's 
programs.

This package includes the documentation for autoconf.

%prep
%target_check
%setup -q -n autoconf-2.13
%patch0 -p1

%build
%target_setup
%target_configure

%make all | tee -a build.log

%install
rm -rf %{buildroot}
%target_setup
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_prefix}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_exec_prefix}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_include_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_info_dir}
%target_makeinstall | tee -a build.log
cp ../*.1 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1
cp autoconf.info %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_info_dir}
gzip -v9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man?/*.?
gzip -v9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_info_dir}/*
rm %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_info_dir}/standards.info.gz
cd ..
mv COPYING LICENSE

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE1} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/autoconf
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE2} > autoconf-doc.pml
install -m 644 autoconf-doc.pml %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/autoconf-doc

%clean
rm -rf %{buildroot}

%files -n hhl-%{_hhl_target_arch}-autoconf
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/*
%{_hhl_cross_target_dir}%{_hhl_target_data_dir}/autoconf
%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/autoconf

%files -n hhl-%{_hhl_target_arch}-autoconf-doc
%defattr(-,root,root)
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man?/*
%doc %{_hhl_cross_target_dir}%{_hhl_target_info_dir}/*
%doc AUTHORS LICENSE ChangeLog* NEWS README TODO
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/autoconf-doc

%changelog
* Wed Apr 18 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Mon Feb 26 2001 Charles Duffy <source@mvista.com>
- First cut
